%define         anolis_release 1
Name:           iw
Version:        5.9
Release:        %{anolis_release}%{?dist}
Summary:        A nl80211 based wireless configuration tool

License:        ISC
URL:            https://mirrors.edge.kernel.org/pub/software/network/iw
Source0:        %{url}/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  kernel-headers
BuildRequires:  libnl3-devel
BuildRequires:  make
BuildRequires:  pkgconfig      

%description
iw is a new nl80211 based CLI configuration utility for wireless devices.
Currently you can only use this utility to configure devices which
use a mac80211 driver as these are the new drivers being written - 
only because most new wireless devices being sold are now SoftMAC.


%prep
%autosetup


%build
export CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS"
%{make_build}


%install
%{make_install}


%files
%license COPYING
%{_sbindir}/%{name}
%{_datadir}/man/man8/iw.*


%changelog
* Mon Apr 18 2022 yuanhui <yuanhui@linux.alibaba.com> - 5.9-1
- Init iw for anolis os 23
